#ifndef _PARSER_H
#define _PARSER_H

#include <stdio.h>

#define CONFIG_FILE "settings"

typedef struct {
	int fullscreen;
	int fullscreen_custom;
	int vsync;

	int screen_w;
	int screen_h;

	int sound_volume;
	int music_volume;

	int saved_scene;
} CONFIG;

FILE *OpenFile(const char *file, const char *mode);
int ReadCfg(CONFIG *cfg);
int WriteCfg(const CONFIG cfg);
#endif
